cgGetTextureStateAssignmentValue(3)

NAME
cgGetTextureStateAssignmentValue - get a texture-valued state assignment's values

SYNOPSIS
  #include <Cg/cg.h>
  CGparameter cgGetTextureStateAssignmentValue( CGstateassignment sa );

PARAMETERS

sa  The state assignment.

RETURN VALUES
Returns a handle to the texture parameter associated with this state assignment.

Returns NULL if an error occurs.

DESCRIPTION
cgGetTextureStateAssignmentValues allows the application to retrieve the value(s) of a state assignment that stores a texture parameter.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_STATE_ASSIGNMENT_HANDLE_ERROR is generated if sa is not a valid state assignment.

CG_STATE_ASSIGNMENT_TYPE_MISMATCH_ERROR is generated if sa is not a state assignment of a texture type.

HISTORY
cgGetTextureStateAssignmentValue was introduced in Cg 1.4.

SEE ALSO
the cgGetStateAssignmentState manpage, the cgGetStateType manpage, the cgGetFloatStateAssignmentValues manpage, the cgGetIntStateAssignmentValues manpage, the cgGetStringStateAssignmentValue manpage, the cgGetSamplerStateAssignmentValue manpage